---

- include_vars: "{{ item }}"
  with_first_found:
    - vars/{{ ansible_distribution }}-{{ ansible_distribution_major_version }}.yml
    - vars/{{ ansible_os_family }}-{{ ansible_distribution_major_version }}.yml
    - vars/{{ ansible_distribution }}.yml
    - vars/{{ ansible_os_family }}.yml
  tags: always

- include_tasks: facts.yml
  tags: always

- include_tasks: utils.yml
  tags: always

- include_tasks: hostname.yml
  tags: always

- include_tasks: tz.yml
  tags: always

- include_tasks: tuned.yml
  when:
    - ansible_virtualization_role == 'host' or ansible_virtualization_type != 'lxc'
    - ansible_os_family == 'RedHat'
  tags: always

- include_tasks: mail.yml
  tags: always

- include_tasks: system.yml
  tags: always

- include_tasks: ansible.yml
  tags: always

- include_tasks: hardware.yml
  when: ansible_virtualization_role == 'host'
  tags: always

- include_tasks: guest.yml
  when: ansible_virtualization_role == 'guest'
  tags: always

...
